WordPress.org

Support

Support » How-To and Troubleshooting » Site being hacked by iframe!!! Everything lost?!

Site being hacked by iframe!!! Everything lost?!

  • Hey folks!

    Please help me with further problem:
    Yesterday my site http://www.sarahburrini.com and http://www.sarahburrini.com/en (using wordpress) got hacked with a nasty iframe java script worm.
    I managed to cut the malware code out of every infected site (I think), but now this appears instead of my site:

    Parse error: syntax error, unexpected ‘?’, expecting ‘)’ in /home/content/l/a/b/laburrini/html/wordpress/wp-includes/plugin.php on line 86

    I already exchanged the plugin.php with a fresh 2.7.1 version, but stil…No luck!

    Please please help me with this. I spent the whole last months with my webcomic site and I don’t have any backup, fool I am!

    Thank you in advance!!!!!
    Sarah

Viewing 4 replies - 1 through 4 (of 4 total)
  • whooami

    @whooami

    Member

    I already exchanged the plugin.php with a fresh 2.7.1 version, but stil…No luck!

    no you didnt, or that error wouldnt be there. do it again. delete the OLD file first.

    Hm, sorry. I just deleted plugin.php and uploaded the new plugin.php.
    The code even looked exactly the same…

    But it won’t work.:(

    whooami

    @whooami

    Member

    youre NOT uploading a fresh file from the zip.

    the code wont look the same because the fresh file isnt going to throw that error.

    Oh God, YES!!!!!!

    Thank you so much!! I must have overwritten the fresh plugin.php by mistake!
    I would instantly bake a dozen of chocolate muffins for you to thank you!!

    My Comicpress-plugin seems to be lost, but this is just a matter of time until I can make it work again, I guess?

    Thanks*smack*

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Site being hacked by iframe!!! Everything lost?!’ is closed to new replies.